texmacs.1(3)

NAME
GNU TeXmacs - a WYSIWYG mathematical text editor

SYNOPSIS
texmacs [OPTION]... [SOURCE]...

INTRODUCTION
GNU TeXmacs is a free scientific text editor, which was both inspired by TeX and GNU Emacs. The editor allows you to write structured documents via a wysiwyg (what-you-see-is-what-you-get) and user friendly interface. New styles may be created by the user. The program implements high-quality typesetting algorithms and TeX fonts, which help you to produce professionally looking documents.

The high typesetting quality still goes through for automatically generated formulas, which makes TeXmacs suitable as an interface for computer algebra systems. TeXmacs also supports the Guile/Scheme extension language, so that you may customize the interface and write your own extensions to the editor.

TeXmacs currently runs on PC's and PPC's under Gnu/linux (a >200MHz processor and >32Mb of memory are recommended) and on sun computers. Converters exist for TeX/LaTeX and they are under development for Html/Mathml/Xml. In the future, TeXmacs is planned to evoluate towards a complete scientific office suite, with spreadsheet capacities, a technical drawing editor and a presentation mode.

DESCRIPTION

-b [file], --initialize-buffer [file]
    Uses [file] as a guile/scheme initialization file for TeXmacs buffers.

-c [in] [out], --convert [in] [out]
    Convert input file [in] into output file [out]. The file formats are determined automatically from the suffixes and as a function of the contents of [in]. The argument list may contain several conversion instructions and you will usually want to use this option in combination with --quit.

-d, --debug
    Display most important debugging information.

--debug-events
    Display all widget events.

--debug-io
    Display all communicated data between TeXmacs and extern systems.

--debug-all
    Turn all debugging flags on.

-fn [font], --font [font]
    Sets the default TeX fonts for menus and so to [font]. The [font] is of the form [name], [name][size] or [name][size]@[dpi]. For instance, ecss11@400 would give a sans serif font at 400 dpi. By default, the [size] is 11 and the [dpi] 300.

-g [geom], --geometry [geom]
    Suggested geometry for TeXmacs windows. Here [geom] may be a size [width x height] in pixels, like in `texmacs -g 600x480'. It may also take the form [width x height [+|-] xoff [+|-] yoff], like in `texmacs -g 800x600-100+100'.

-h, --help
    Display a help message, which lists the command line options of TeXmacs.

-i [file], --initialize [file]
    Uses [file] as a guile/scheme initialization file for TeXmacs.

-p, --path
    Echo the TeXmacs path.

-q, --quit
    Shortcut for the option -x "(quit-TeXmacs)".

-s, --silent
    Silent execution: less messages to standard output.

-S, --setup
    Rerun the setup program before starting TeXmacs. The setup program analyzes your TeX/LaTeX distribution and the plugins which are installed on your system.

-v, --version
    Display the current TeXmacs version.

-V, --verbose
    Display some informative messages.

-x, --execute [cmd]
    Execute the scheme command [cmd] just after startup. If you specify several -x options, then the corresponding scheme commands are executed in the same order.

-Oc, --no-char-clipping
    Faster but less perfect displaying of anti-aliased fonts.

+Oc, --char-clipping
    High quality displaying of anti-aliased fonts (default).

AUTHOR
Written by Joris van der Hoeven

REPORTING BUGS
Report bugs to <bugs@texmacs.org>.

COPYRIGHT
Copyright © 1999-2001 Joris van der Hoeven
This is free software; see the source for copying conditions. GNU TeXmacs comes with NO WARRANTY WHATSOEVER; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
The full documentation for GNU TeXmacs can be accessed through the help menu when starting up the editor. You may also access the online documentation from inside the editor. The TeXmacs website at <http://www.texmacs.org> can be consulted for additional information. The TeXmacs web pages are also available at <http://www.gnu.org/software/texmacs>.